| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Member Functions

# IG::Plot2d::GraphLineItem Class Reference

Plottable item that consists of multiple line segments. More...

Inheritance diagram for IG::Plot2d::GraphLineItem:
[legend]
Collaboration diagram for IG::Plot2d::GraphLineItem:
[legend]

List of all members.

## Public Member Functions
| GraphLineItem (GraphBase graph, string title, string description)
override void | UpdateInGraph ()
| Updates the current item in the containing ZedGraph's control. A ZedGraph item corresponding to the current item is updated according to data contained in this item.
override void | DetachFromGraph ()
| Detaches the current item from ZedGraph's graph control. If ZedGraph control contains any items that are managed by the current item, these items may be set invisible or be disposed. References to related representations in the Zedgraph control are deleted, such that connection of the item with the Zedgraph's graph object is broken.
## Protected Attributes
string | _title
string | _description
## Properties
string | Title`[get, set]`
| Curve title.
string | Description`[get, set]`
| Curve description.
## Private Member Functions
void | xx_to_delete ()

## Detailed Description

Plottable item that consists of multiple line segments.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG::Plot2d::GraphLineItem::GraphLineItem | ( | GraphBase | graph,
|  | string | title,
|  | string | description
| ) |  | `[inline]`

## Member Function Documentation

void IG::Plot2d::GraphLineItem::xx_to_delete | ( |  | ) | `[inline, private]`

override void IG::Plot2d::GraphLineItem::UpdateInGraph | ( |  | ) | `[inline, virtual]`

Updates the current item in the containing ZedGraph's control. A ZedGraph item corresponding to the current item is updated according to data contained in this item.

Implements IG::Plot2d::GraphItem.

override void IG::Plot2d::GraphLineItem::DetachFromGraph | ( |  | ) | `[inline, virtual]`

Detaches the current item from ZedGraph's graph control. If ZedGraph control contains any items that are managed by the current item, these items may be set invisible or be disposed. References to related representations in the Zedgraph control are deleted, such that connection of the item with the Zedgraph's graph object is broken.

Implements IG::Plot2d::GraphItem.

## Member Data Documentation

string IG::Plot2d::GraphLineItem::_title`[protected]`

string IG::Plot2d::GraphLineItem::_description`[protected]`

## Property Documentation

string IG::Plot2d::GraphLineItem::Title`[get, set]`

Curve title.

string IG::Plot2d::GraphLineItem::Description`[get, set]`

Curve description.

The documentation for this class was generated from the following file:

- GraphLineItem.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events